﻿using System.Collections;
using System.Collections.Generic;
using System.IO;
using System;
using UnityEngine;
using UnityEngine.Events;
using System.Globalization;


namespace Mod
{
    public class Mod : MonoBehaviour
    {

        public static void Main()
        {
            var balls = ModAPI.FindSpawnable("Human").Prefab.GetComponentsInChildren<PhysicalBehaviour>(true);//.DisplayBloodDecals = true; //this the line of code that disables the random sizes
            var penal = ModAPI.FindSpawnable("Gorse").Prefab.GetComponentsInChildren<PhysicalBehaviour>(true);
            foreach (var b in balls)
            {
                b.DisplayBloodDecals = true;
            }
            foreach (var p in penal)
            {
                p.DisplayBloodDecals = true;
            }

            ModAPI.RegisterPower<DecalToggle>(
            "Decal Toggle",
            "Toggle whether a specific object shows decals. Only prevents more decals from being displayed.",
            ModAPI.LoadSprite("PowerThumb.png")
            );
        }
    }
    public class DecalToggle : ToolBehaviour
    {
        public override void OnToolChosen()
        {

        }
        public override void OnToolUnchosen()
        {

        }

        public override void OnSelect()
        {

            if (ActiveSingleSelected.GetComponent<PhysicalBehaviour>().DisplayBloodDecals == true)
            {
                ActiveSingleSelected.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
                ModAPI.Notify("Disabled decals for " + ActiveSingleSelected);
            }
            else
            {
                ActiveSingleSelected.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = true;
                ModAPI.Notify("Enabled decals for " + ActiveSingleSelected);
            }
        }

        public override void OnHold()
        {
            //Gets invoked for every frame an object is held while this tool is equipped
        }

        public override void OnFixedHold()
        {
            //Gets invoked for every FixedUpdate an object is held while this tool is equipped
        }

        public override void OnDeselect()
        {
            //Gets invoked when an object is deselected while this tool is equipped
        }
    }

}